package com.saye.hospitalgd.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

/**
 * @author thuang
 * @version 1.0
 * @description: TODO
 * @date 2021/9/28 11:05
 */
@Mapper
public interface TransactionDetailMapper {

    List<HashMap<Object, Object>> findHisAndThirdJoinData(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisUnilateral() throws Exception;

    List<HashMap<Object, Object>> findBankUnilateral() throws Exception;

    List<HashMap<Object, Object>> findDiff()throws Exception;

    List<HashMap<Object, Object>> findHisAndThirdJoinDataNumByTime(HashMap<Object, Object> map) throws Exception;

    void insertJoinDataToHisAndThird(HashMap<Object, Object> map) throws Exception;

    void insertHisUnilateral(HashMap<Object, Object> map) throws Exception;

    void insertThirdUnilateral(HashMap<Object, Object> map) throws Exception;

    void deleteHisAndThirdJoinData(HashMap<Object, Object> map) throws Exception;

    void updateHisAndThirdError(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisAndThirdJoinDataByParam(HashMap<Object, Object> map) throws Exception;

    void insertHisAndThirdJoinData(HashMap<Object, Object> map) throws Exception;

    void insertJoinDataToHisAndCash(HashMap<Object, Object> map) throws Exception;

    void insertHisCashUnilateral(HashMap<Object, Object> map) throws Exception;

    void insertCashUnilateral(HashMap<Object, Object> map) throws Exception;

    void updateJoinDate(HashMap<Object, Object> map) throws Exception;

    void updateJoinSetActiveByThird(HashMap<Object, Object> map) throws Exception;

    void updateJoinSetActiveByHis(HashMap<Object, Object> map)throws Exception;

    void updateJoinSetActiveByThirdCash(HashMap<Object, Object> map)throws Exception;

    void updateJoinSetActiveByHisCash(HashMap<Object, Object> map)throws Exception;

    List<HashMap<Object, Object>> findAllBankDetailNum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findAllBankDetailSum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findDBZNum(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findJoinDataNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findDBZFLNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillMoneyByTime(HashMap<Object, Object> map) throws Exception;

    void updateJoinSetActiveByZhiPiao(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisAndThirdJoinDataByParamAndNotUnique(HashMap<Object, Object> map) throws Exception;

    void deleteHisAndThirdJoinDataByParamAndNotUnique(HashMap<Object, Object> map) throws Exception;

    void addNotUniqueData(List<HashMap<Object, Object>> list) throws Exception;
}
